import { SfCommand } from '@salesforce/sf-plugins-core';
import { Interfaces } from '@oclif/core';
import { AnyJson } from '@salesforce/ts-types';
export type CommandReferenceGenerateResults = {
    warnings: AnyJson[];
};
export default class CommandReferenceGenerate extends SfCommand<CommandReferenceGenerateResults> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly flags: {
        'output-dir': Interfaces.OptionFlag<string, Interfaces.CustomOptions>;
        plugins: Interfaces.OptionFlag<string[] | undefined, Interfaces.CustomOptions>;
        all: Interfaces.BooleanFlag<boolean>;
        'ditamap-suffix': Interfaces.OptionFlag<string, Interfaces.CustomOptions>;
        hidden: Interfaces.BooleanFlag<boolean>;
        'error-on-warnings': Interfaces.BooleanFlag<boolean>;
        'config-path': Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
    };
    private loadedConfig;
    run(): Promise<CommandReferenceGenerateResults>;
    private pluginMap;
    private getPlugin;
    private loadTopicMetadata;
    private loadCommands;
    private loadCommand;
    private loadCliMeta;
}
